export enum ObjectType {
    DEPARTMENT = "DEPARTMENT",
    STAFF = "STAFF",
    COMMENT = "COMMENT",
    TERM = "TERM",
}
export enum RelationType {
    WATCH = "WATCH",
    READED = "READED",
    MESSAGE = "MESSAGE",
}
export enum RolePerms {
	// Create Permissions 创建权限
	CREATE_ALERT = "CREATE_ALERT", // 创建警报
	CREATE_INSTRUCTION = "CREATE_INSTRUCTION", // 创建指令
	CREATE_TROUBLE = "CREATE_TROUBLE", // 创建问题
	CREATE_WORKPROGRESS = "CREATE_WORKPROGRESS", // 创建工作进度
	CREATE_ASSESSMENT = "CREATE_ASSESSMENT", // 创建评估
	CREATE_TERM = "CREATE_TERM", // 创建术语

	// Read Permissions 读取权限
	READ_ANY_TROUBLE = "READ_ANY_TROUBLE", // 读取任何问题
	READ_DOM_TROUBLE = "READ_DOM_TROUBLE", // 读取领域问题
	READ_ANY_CHART = "READ_ANY_CHART", // 读取任何图表
	READ_DOM_CHART = "READ_DOM_CHART", // 读取领域图表
	READ_ANY_ASSESSMENT = "READ_ANY_ASSESSMENT", // 读取任何评估
	READ_DOM_ASSESSMENT = "READ_DOM_ASSESSMENT", // 读取领域评估
	READ_ANY_TERM = "READ_ANY_TERM", // 读取任何术语
	READ_DOM_TERM = "READ_DOM_TERM", // 读取领域术语

	// Edit Permissions 编辑权限
	EDIT_DOM_TROUBLE = "EDIT_DOM_TROUBLE", // 编辑领域问题
	EDIT_ANY_TROUBLE = "EDIT_ANY_TROUBLE", // 编辑任何问题
	EDIT_DOM_ROLE = "EDIT_DOM_ROLE", // 编辑领域角色
	EDIT_ROOT_OPTION = "EDIT_ROOT_OPTION", // 编辑根选项
	EDIT_DOM_ASSESSMENT = "EDIT_DOM_ASSESSMENT", // 编辑领域评估
	EDIT_ANY_ASSESSMENT = "EDIT_ANY_ASSESSMENT", // 编辑任何评估
	EDIT_DOM_TERM = "EDIT_DOM_TERM", // 编辑领域术语
	EDIT_ANY_TERM = "EDIT_ANY_TERM", // 编辑任何术语

	// Delete Permissions 删除权限
	DELETE_DOM_TROUBLE = "DELETE_DOM_TROUBLE", // 删除领域问题
	DELETE_ANY_TROUBLE = "DELETE_ANY_TROUBLE", // 删除任何问题
	DELETE_DOM_ASSESSMENT = "DELETE_DOM_ASSESSMENT", // 删除领域评估
	DELETE_ANY_ASSESSMENT = "DELETE_ANY_ASSESSMENT", // 删除任何评估
	DELETE_DOM_TERM = "DELETE_DOM_TERM", // 删除领域术语
	DELETE_ANY_TERM = "DELETE_ANY_TERM", // 删除任何术语

	// Process Permissions 处理权限
	PROCESS_DOM_TROUBLE = "PROCESS_DOM_TROUBLE", // 处理领域问题
	PROCESS_ANY_TROUBLE = "PROCESS_ANY_TROUBLE", // 处理任何问题
	PROCESS_DOM_ASSESSMENT = "PROCESS_DOM_ASSESSMENT", // 处理领域评估
	PROCESS_ANY_ASSESSMENT = "PROCESS_ANY_ASSESSMENT", // 处理任何评估

	// Audit Permissions 审核权限
	AUDIT_TROUBLE = "AUDIT_TROUBLE", // 审核问题
}